package cn.com.taiji.beidou.web.controller.ship;

import cn.com.taiji.beidou.common.core.controller.BaseController;
import cn.com.taiji.beidou.common.core.domain.R;
import cn.com.taiji.beidou.common.core.domain.model.LoginUser;
import cn.com.taiji.beidou.common.core.page.TableDataInfo;
import cn.com.taiji.beidou.framework.web.service.TokenService;
import cn.com.taiji.beidou.ship.focus.domain.FocusShipData;
import cn.com.taiji.beidou.ship.focus.domain.FocusShipResult;
import cn.com.taiji.beidou.ship.focus.service.FocusShipService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/9 18:16
 */
@Api(tags = "重点关注船舶")
@RestController
public class FocusShipController extends BaseController {

    @Resource
    private FocusShipService focusShipService;

    @Autowired
    private TokenService tokenService;

    @ApiOperation("新增关注船舶")
    @PostMapping("/addFocusShip")
    public R addFocusShip(@RequestBody FocusShipData focusShipData, HttpServletRequest request){
        try{
            LoginUser loginUser = tokenService.getLoginUser(request);
            focusShipData.setUserId(loginUser.getUserId().toString());
            focusShipService.insertFocusShip(focusShipData);
            return R.ok();
        }catch (Exception e){
            return R.fail(e.getMessage());
        }
    }

    @ApiOperation("移除关注船舶")
    @PostMapping("/delFocusShip")
    public R delFocusShip(Integer focusId){
        try{
            focusShipService.deleteFocusShip(focusId);
            return R.ok();
        }catch (Exception e){
            return R.fail(e.getMessage());
        }
    }

    @ApiOperation("关注船舶详情")
    @PostMapping("/findFocusShip")
    public R findFocusShip(Integer focusId){
        try{
            return R.ok(focusShipService.selectById(focusId));
        }catch (Exception e){
            return R.fail(e.getMessage());
        }
    }

    @ApiOperation("关注船舶列表")
    @PostMapping("/focusShipList")
    public TableDataInfo findFocusShipList(Integer pageNum, Integer pageSize){
        try{
            startPage();
            List<FocusShipResult> results = focusShipService.selectList();
            return getDataTable(results);
        }catch (Exception e){
            e.printStackTrace();
            return null;
        }
    }
}
