package cn.com.taiji.beidou.web.controller.ship;

import cn.com.taiji.beidou.common.core.controller.BaseController;
import cn.com.taiji.beidou.common.core.domain.R;
import cn.com.taiji.beidou.common.core.page.TableDataInfo;
import cn.com.taiji.beidou.common.utils.StringUtils;
import cn.com.taiji.beidou.ship.archives.BeiDouShipInfo;
import cn.com.taiji.beidou.ship.archives.domain.ShipArchivesData;
import cn.com.taiji.beidou.ship.archives.domain.ShipArchivesREQ;
import cn.com.taiji.beidou.ship.archives.service.ShipArchivesService;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/8 18:55
 */
@RestController
public class ShipArchivesController extends BaseController {

    @Resource
    private ShipArchivesService shipArchivesService;

    @Resource
    private BeiDouShipInfo beiDouShipInfo;

    @ApiOperation("获取船舶档案列表")
    @PostMapping("/shipList")
    public TableDataInfo getShip(@RequestBody ShipArchivesREQ req,Integer pageNum,Integer pageSize){
        startPage();
        List<ShipArchivesData> shipList = shipArchivesService.findShipList(req);
        return getDataTable(shipList);

    }

    @ApiOperation("获取船舶详情")
    @PostMapping("/shipDetail")
    public R<ShipArchivesData> findShipDetail(String shipId){

        try {
            ShipArchivesData shipById = shipArchivesService.findShipById(shipId);
            return R.ok(shipById);
        }catch (Exception e){
            return R.fail(e.getMessage());
        }

    }

    //@ApiOperation("获取船舶档案信息")
    @GetMapping("/shipInfo")
    public R shipInfo(){
        beiDouShipInfo.beidouShipInfo();
        return null;
    }
}
