package cn.com.taiji.beidou.ship.archives.mapper;

import cn.com.taiji.beidou.ship.archives.domain.ShipArchivesData;
import cn.com.taiji.beidou.ship.archives.domain.ShipArchivesREQ;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/9 9:55
 */
@Mapper
public interface ShipArchivesMapper{

    /**
     * 根据北斗设备号查询
     * @param devideNo
     * @return
     */
    ShipArchivesData selectByDevideNo(String devideNo);

    /**
     * 更新
     * @param shipArchivesData
     */
    void updateById(ShipArchivesData shipArchivesData);

    /**
     * 插入
     * @param shipArchivesData
     * @return
     */
    int insertShip(ShipArchivesData shipArchivesData);

    /**
     * 查询船舶档案列表
     * @param shipArchivesREQ
     * @return
     */
    List<ShipArchivesData> selectShipArchivesList(ShipArchivesREQ shipArchivesREQ);

    /**
     * 船只详情
     * @param shipId
     * @return
     */
    ShipArchivesData selectById(String shipId);

}
